Package org.kie.internal.services

# Class KieAssemblersImpl

java.lang.Object
org.kie.internal.services.AbstractMultiService<ResourceType,KieAssemblerService>
org.kie.internal.services.KieAssemblersImpl

All Implemented Interfaces:
  `Comparable<KieService>`, `KieAssemblers`, `KieService`

public class KieAssemblersImpl extends AbstractMultiService<ResourceType,KieAssemblerService> implements KieAssemblers

- ## Field Summary

  ### Fields inherited from interface org.kie.api.internal.utils.KieService

  `UNDEFINED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KieAssemblersImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addResourceAfterRules(Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)`
  `void`
  `addResourceBeforeRules(Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)`
  `void`
  `addResourcesAfterRules(Object knowledgeBuilder, List<ResourceWithConfiguration> resources, ResourceType type)`
  `protected Class<KieAssemblerService>`
  `serviceClass()`
  `protected ResourceType`
  `serviceKey(KieAssemblerService service)`

  ### Methods inherited from class org.kie.internal.services.AbstractMultiService

  `getService`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.internal.utils.KieService

  `compareTo, servicePriority, serviceTag`

- ## Constructor Details

  - ### KieAssemblersImpl

    public KieAssemblersImpl()

- ## Method Details

  - ### addResourceBeforeRules

    public void addResourceBeforeRules(Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration) throws Exception
    Specified by:
      `addResourceBeforeRules` in interface `KieAssemblers`
    Throws:
      `Exception`

  - ### addResourceAfterRules

    public void addResourceAfterRules(Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration) throws Exception
    Specified by:
      `addResourceAfterRules` in interface `KieAssemblers`
    Throws:
      `Exception`

  - ### addResourcesAfterRules

    public void addResourcesAfterRules(Object knowledgeBuilder, List<ResourceWithConfiguration> resources, ResourceType type) throws Exception
    Specified by:
      `addResourcesAfterRules` in interface `KieAssemblers`
    Throws:
      `Exception`

  - ### serviceClass

    protected Class<KieAssemblerService> serviceClass()
    Specified by:
      `serviceClass` in class `AbstractMultiService<ResourceType,KieAssemblerService>`

  - ### serviceKey

    protected ResourceType serviceKey(KieAssemblerService service)
    Specified by:
      `serviceKey` in class `AbstractMultiService<ResourceType,KieAssemblerService>`